<form [formGroup]="signInForm" (ngSubmit)="onSubmit()">
  <div class="inputContainer">
    <label for="username">Username </label>
    <div>
      <div>
        <span *ngIf="signInForm.controls.username.invalid && (signInForm.controls.username.dirty || signInForm.controls.username.touched)">
          <img src="/assets/icon--alert.svg" alt="Username Error" title="Username Error"/>
        </span>
        <input id="username" type="text" formControlName="username">
        <span *ngIf="signInForm.getRawValue().username.length > 0">
          <button (click)="clearValue('username')" type="button">
            <img src="/assets/icon--saltire.svg" alt="Clear Username" title="Clear Username"/>
          </button>
        </span>
      </div>
      <span *ngIf="signInForm.controls.username.invalid && (signInForm.controls.username.dirty || signInForm.controls.username.touched)">
        <p class="errorMessage">This is a required field.</p>
      </span>
    </div>
  </div>
  <div class="inputContainer">
    <div>
      <div>
        <label for="password">Password </label>
        <button (click)="togglePassword()" type="button">
          <img src="{{showPassword ? '/assets/icon--eye-open.svg' : '/assets/icon--eye-closed.svg'}}" class="passwordToggleIcon" alt="Toggle Password Visibility" title="Toggle Password Visibility"/>
          <p>{{showPassword ? "Show" : "Hide"}}</p>
        </button>
      </div>
      <div>
        <span *ngIf="signInForm.controls.password.invalid && (signInForm.controls.password.dirty || signInForm.controls.password.touched)">
          <img src="/assets/icon--alert.svg" alt="Password Error" title="Password Error"/>
        </span>
        <input id="password" type="{{showPassword ? 'text' : 'password'}}" formControlName="password">
        <span *ngIf="signInForm.getRawValue().password.length > 0">
          <button (click)="clearValue('password')" type="button">
            <img src="/assets/icon--saltire.svg" alt="Clear Password" title="Clear Password"/>
          </button>
        </span>
      </div>
      <span *ngIf="signInForm.controls.password.invalid && (signInForm.controls.password.dirty || signInForm.controls.password.touched)">
        <p class="errorMessage">This is a required field.</p>
    </span>
    </div>
  </div>

  <div class="actionsContainer">
    <div class="checkboxContainer">
      <input type="checkbox" id="rememberMe" name="rememberMe" formControlName="rememberMe">
      <label for="rememberMe">Remember</label>
    </div>

    <button type="submit">Sign On</button>
  </div>
</form>
